Bug 92313 - apxs -g and -q LIBTOOL are broken
Summary: apxs -g and -q LIBTOOL are broken
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: httpd   
(Show other bugs)
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Joe Orton
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-06-04 19:51 UTC by Stephen John Smoogen
Modified: 2007-04-18 16:54 UTC (History)
0 users

Fixed In Version: 2.0.40-21.5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-12 11:03:22 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Stephen John Smoogen 2003-06-04 19:51:20 UTC
Description of problem:

Trying to create a test module for working with the instructions say to use 
apxs -g -n <Fill in module here>

The problem is that the Makefile created looks for a makefile that doesnt get
included (special.mk)

This means that nothing can be created and the tutorial can't go much further.
Trying to include the rules.mk instead just causes a no-op to happen when make
occurs.

Comment 1 Joe Orton 2003-06-05 09:06:44 UTC
Thanks for the report.   This will be fixed in httpd-2.0.45-10 in Raw Hide.

Comment 2 Guillaume Perréal 2003-06-11 22:01:35 UTC
special.mk exists in the httpd build directory but is not packaged into
httpd-devel. By the way, there is another trouble in config_vars.mk :
/usr/include/httpd isn't included.

It seems that using the following patch on httpd.spec seems to solve thoses two
bugs.

Could this be (checked then) included in next RHL9 releases of httpd ? It's very
annoying to recompile the whole package for each release (as I already have the
same kind of trouble with the RHL8 httpd RPMs).

Best regards,

--- httpd.spec-orig	2003-06-11 19:49:29.000000000 +0200
+++ httpd.spec	2003-06-11 19:49:38.000000000 +0200
@@ -280,12 +280,16 @@
 rm $RPM_BUILD_ROOT%{_libdir}/httpd/build/libtool
 ln -s ../../../..%{_bindir}/libtool $RPM_BUILD_ROOT%{_libdir}/httpd/build/libtool
 
+# special.mk is needed to build shared modules
+cp build/special.mk $RPM_BUILD_ROOT%{_libdir}/httpd/build/
+
 # fix up config_vars file: relocate the build directory into libdir;
 # reference correct libtool; remove references to RPM build root.
 sed -e "s|%{contentdir}/build|%{_libdir}/httpd/build|g" \
     -e "/AP_LIBS/d" -e "/abs_srcdir/d" \
     -e "/^LIBTOOL/s|/[^ ]*/libtool|%{_bindir}/libtool|" \
     -e "/^EXTRA_INCLUDES/s|-I$RPM_BUILD_DIR[^ ]* ||g" \
+    -e '/^EXTRA_INCLUDES/s|$| -I${includedir}|g' \
   < prefork/build/config_vars.mk \
   > $RPM_BUILD_ROOT%{_libdir}/httpd/build/config_vars.mk


Comment 3 Joe Orton 2003-06-11 22:11:25 UTC
Yes, I'll put the fix in for future 8.0/9 errata too, that's why I left this bug
open.

Comment 4 Joe Orton 2003-06-27 12:38:12 UTC
`apxs -q LIBTOOL` is also worth fixing.

Comment 5 Joe Orton 2003-09-12 11:03:22 UTC
An errata has been issued which should help the problem described in this bug
report. This report is therefore being closed with a resolution of ERRATA. For
more information on the solution and/or where to find the updated files, please
follow the link below. You may reopen this bug report if the solution does not
work for you.

http://rhn.redhat.com/errata/RHSA-2003-240.html


Note You need to log in before you can comment on or make changes to this bug.